Summary: Portable Spell Checker Interface Library.
Name: pspell
Version: 0.11.2
Source: http://download.sourceforge.net/pspell/%{name}-.11.2.tar.gz
Epoch: 2
Release: 1
License: LGPL
Group: Applications/Text
URL: http://pspell.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
The Pspell library provides a generic interface to spell checker
libraries installed on the system.

%package devel
Summary: Static libraries and header files for pspell
Group: Development/Libraries
Requires: %{name} = %{version}

%description	devel
The Pspell library provides a generic interface to Spell checker
libraries installed on the system. This package contains static
libraries and header files for Pspell

%prep
%setup -q -n pspell-.11.2

%build
cp /usr/share/libtool/config.{guess,sub} .

CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--sysconfdir=/etc --infodir=%{_infodir} \
	--mandir=%{_mandir} --enable-static --enable-ltdl

make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall

mv $RPM_BUILD_ROOT/usr/doc/pspell .
rm pspell/manual.aux

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README pspell/*
/usr/lib/*.so.*
/usr/bin/*
/usr/share/pspell

%files		devel
%defattr(-,root,root)
/usr/include/pspell
/usr/lib/*.a
/usr/lib/*.so
/usr/bin/*

%changelog
* Sat Aug 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.11.2 from the author, which fixes a couple of minor
  bugs. Remove old patch.
- remove manual.aux file from doc files

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- renamed to 0.11.1
- epoch 2
- added patch from author to update his email address

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to .11.1

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't include .la files
- use %%makeinstall

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use CFLAGS and CXXFLAGS

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add --enable-ltdl as requested by the author
- copy some libtool files manually for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- include program in /usr/bin
- update to .11.0.2 - my patch is now in the main tree and
  has been removed 

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- escape macros in changelog. 

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- include files in /usr/bin and /usr/share/pspell
- updated the descriptions

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Version .11.0.1
- use %%makeinstall and %%{_tmppath}
- updated patch

* Fri Jun 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- moved to main distribution: ispell dies
- patched to make it compile - it seemed dependant on namespace
  pollution
 
* Mon May 01 2000 Tim Powers <timp@redhat.com>
- initial build for Powertools
- package needed by aspell now
- removed redundant defines at top of spec
- no epoch needed since this is the first release for Powertools, hopefully it
  is _never_ needed from this point forward
- use _prefix to amke it so that rebuilds can be built for different prefixes
  as defined by RPM
- updated source location
- don't have /usr/include/ltdl.h in the files list, conflicts with libtool,
  not only that but "make install" never installs it
- cleaned up files list a bit.

* Mon Apr  3 2000 Ryan Weaver <ryanw@infohwy.com>
  [pspell-.10-1]
- Initial RPM Build.

